about summary refs log tree commit diff stats
path: root/bench
diff options
context:
space:
mode:
Diffstat (limited to 'bench')
-rwxr-xr-xbench/update.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/bench/update.sh b/bench/update.sh
new file mode 100755
index 0000000..d4799bc
--- /dev/null
+++ b/bench/update.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env sh
+
+root="$(git rev-parse --show-toplevel)"
+cd "$root" || {
+    echo "There seems to be no root?" 2>&1
+    exit 1
+}
+
+db_dir="$(mktemp -d)"
+db="$db_dir/db.sqlite"
+
+[ "$1" = "--keep" ] || cargo build --profile=profiling
+
+./target/profiling/yt --db-path "$db" subscriptions add --name 'Kurzgesagt – In a Nutshell - Videos' 'https://www.youtube.com/@kurzgesagt/videos/'
+./target/profiling/yt --db-path "$db" update --max-backlog 20 --subscriptions="Kurzgesagt – In a Nutshell - Videos"
+
+hyperfine --show-output --max-runs 5 --min-runs 3 -- "./target/profiling/yt --db-path '$db' update --max-backlog 20 --subscriptions='Kurzgesagt – In a Nutshell - Videos'"
+
+rm "$db"
+rm --directory "$db_dir"
+# vim: ft=sh